# Class yii\web\UnsupportedMediaTypeHttpException

Inheritance | yii\web\UnsupportedMediaTypeHttpException » yii\web\HttpException » yii\base\UserException » yii\base\Exception » Exception
Available since version | 2.0
Source Code | https://github.com/yiisoft/yii2/blob/master/framework/web/UnsupportedMediaTypeHttpException.php

UnsupportedMediaTypeHttpException represents an "Unsupported Media Type" HTTP exception with status code 415.

Use this exception when the client sends data in a format that your application does not understand. For example, you would throw this exception if the client POSTs XML data to an action or controller that only accepts JSON.

See also https://tools.ietf.org/html/rfc7231#section-6.5.13.

## Public Properties

Hide inherited properties

Property | Type | Description | Defined By
--- | --- | --- | ---
$statusCode | integer | HTTP status code, such as 403, 404, 500, etc. | yii\web\HttpException

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
__construct() | Constructor. | yii\web\UnsupportedMediaTypeHttpException
getName() |  | yii\web\HttpException

## Method Details

__construct() public method

Constructor.

public void __construct ( $message = null, $code = 0, Exception $previous = null )
$message | string | Error message
$code | integer | Error code
$previous | Exception | The previous exception used for the exception chaining.